Xerces 3.1.1

## org.w3c.dom.html
Interface HTMLTableRowElement

All Known Implementing Classes:
  HTMLTableRowElementImpl

public interface HTMLTableRowElement
extends HTMLElement

A row in a table. See the TR element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` `deleteCell(int index)` Delete a cell from the current row.
`java.lang.String` `getAlign()` Horizontal alignment of data within cells of this row.
`java.lang.String` `getBgColor()` Background color for rows.
`HTMLCollection` `getCells()` The collection of cells in this row.
`java.lang.String` `getCh()` Alignment character for cells in a column.
`java.lang.String` `getChOff()` Offset of alignment character.
`int` `getRowIndex()` The index of this row, relative to the entire table, starting from 0.
`int` `getSectionRowIndex()` The index of this row, relative to the current section ( `THEAD` , `TFOOT` , or `TBODY` ), starting from 0.
`java.lang.String` `getVAlign()` Vertical alignment of data within cells of this row.
`HTMLElement` `insertCell(int index)` Insert an empty `TD` cell into this row.
`void` `setAlign(java.lang.String align)`
`void` `setBgColor(java.lang.String bgColor)`
`void` `setCh(java.lang.String ch)`
`void` `setChOff(java.lang.String chOff)`
`void` `setVAlign(java.lang.String vAlign)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getRowIndex

    public int getRowIndex()

  The index of this row, relative to the entire table, starting from 0. This is in document tree order and not display order. The `rowIndex` does not take into account sections ( `THEAD` , `TFOOT` , or `TBODY` ) within the table.

### getSectionRowIndex

    public int getSectionRowIndex()

  The index of this row, relative to the current section ( `THEAD` , `TFOOT` , or `TBODY` ), starting from 0.

### getCells

    public HTMLCollection getCells()

  The collection of cells in this row.

### getAlign

    public java.lang.String getAlign()

  Horizontal alignment of data within cells of this row. See the align attribute definition in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getBgColor

    public java.lang.String getBgColor()

  Background color for rows. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBgColor

    public void setBgColor(java.lang.String bgColor)

### getCh

    public java.lang.String getCh()

  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

### setCh

    public void setCh(java.lang.String ch)

### getChOff

    public java.lang.String getChOff()

  Offset of alignment character. See the charoff attribute definition in HTML 4.0.

### setChOff

    public void setChOff(java.lang.String chOff)

### getVAlign

    public java.lang.String getVAlign()

  Vertical alignment of data within cells of this row. See the valign attribute definition in HTML 4.0.

### setVAlign

    public void setVAlign(java.lang.String vAlign)

### insertCell

    public HTMLElement insertCell(int index)
                           throws DOMException

  Insert an empty `TD` cell into this row. If `index` is equal to the number of cells, the new cell is appended
  Parameters:
    `index` - The place to insert the cell, starting from 0.
  Returns:
    The newly created cell.
  Throws:
    DOMException - INDEX_SIZE_ERR: Raised if the specified `index` is greater than the number of cells.

### deleteCell

    public void deleteCell(int index)
                    throws DOMException

  Delete a cell from the current row.
  Parameters:
    `index` - The index of the cell to delete, starting from 0.
  Throws:
    DOMException - INDEX_SIZE_ERR: Raised if the specified `index` is greater than or equal to the number of cells.

Xerces 3.1.1